# Customize this configuration as necessary to provide defaults for various
# test environments.
#
# The set of defaults to use is determined by the MEDIAWIKI_ENVIRONMENT
# environment variable.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   bundle exec cucumber
#
# Additional variables set by the environment will override the corresponding
# defaults defined here.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   export MEDIAWIKI_USER=Selenium_user2
#   bundle exec cucumber
#

# Use this with "export MEDIAWIKI_ENVIRONMENT=custom" before running "bundle exec cucumber".
default:
  # language_code: en
  browser: chrome
  mediawiki_url: http://localhost/wiki/
  # A sensible default for the "mediawiki_url_api" is derived from the "mediawiki_url".
  # mediawiki_url_api: http://localhost/w/api.php
  mediawiki_user: …
  mediawiki_password: …
  user_factory: true
  # lexeme_namespace: 'Lexeme:'

integration:
  item_namespace: 'Item:'
  language_code: en
  browser: firefox
  user_factory: true